KJS::FunctionImp Class Referenceabstract

`#include <internal.h>`

Inheritance diagram for KJS::FunctionImp:

## Public Member Functions

| FunctionImp (ExecState *exec, const Identifier &n=Identifier::null())
virtual Value | get (ExecState *exec, const Identifier &propertyName) const
virtual void | put (ExecState *exec, const Identifier &propertyName, const Value &value, int attr=None)
virtual bool | hasProperty (ExecState *exec, const Identifier &propertyName) const
virtual bool | deleteProperty (ExecState *exec, const Identifier &propertyName)
virtual bool | implementsCall () const
virtual Value | call (ExecState *exec, Object &thisObj, const List &args)
void | addParameter (const Identifier &n)
Identifier | parameterProperty (int index) const
UString | parameterString () const
virtual CodeType | codeType () const =0
virtual Completion | execute (ExecState *exec)=0
int | firstLine () const
int | lastLine () const
int | sourceId () const
virtual const ClassInfo * | classInfo () const
Public Member Functions inherited from KJS::InternalFunctionImp
| InternalFunctionImp (FunctionPrototypeImp *funcProto)
| InternalFunctionImp (ExecState *exec)
bool | implementsHasInstance () const
Boolean | hasInstance (ExecState *exec, const Value &value)
Identifier | name () const
void | setName (Identifier _ident)

## Static Public Attributes

static const ClassInfo | info = {"Function", &InternalFunctionImp::info, 0, 0}
Static Public Attributes inherited from KJS::InternalFunctionImp
static const ClassInfo | info = {"Function", 0, 0, 0}

## Protected Attributes

Parameter * | param
int | line0
int | line1
int | sid
Protected Attributes inherited from KJS::InternalFunctionImp
Identifier | ident

## Friends

class | ActivationImp

## Detailed Description

Implementation class for functions implemented in JS.

Definition at line 390 of file internal.h.

The documentation for this class was generated from the following files:

- internal.h
- function.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys